> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/reporting/list-survey-question-answers/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # List answers for question GET https://api.mailchimp.com/3.0/reporting/surveys/{survey_id}/questions/{question_id}/answers Get answers for a survey question. Reference: https://mailchimp.com/developer/marketing/api/reporting/list-survey-question-answers ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `survey_id` (string, required) — The ID of the survey. - `question_id` (string, required) — The ID of the survey question. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. - `respondent_familiarity_is` (enum, optional) — Filter survey responses by familiarity of the respondents. - Allowed values: `new`, `known`, `unknown` ## Response ### 200 List of Survey Question Answers - `_links` (list of 30ReportingSurveysSurveyIdQuestionsQuestionIdAnswersGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `answers` (list of 30ReportingSurveysSurveyIdQuestionsQuestionIdAnswersGetResponsesContentApplicationJsonSchemaAnswersItems, optional) — An array of answers for a question on the survey. - `total_items` (integer, optional) — The total number of items matching the query regardless of pagination. ## Types ### 30ReportingSurveysSurveyIdQuestionsQuestionIdAnswersGetResponsesContentApplicationJsonSchemaLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### 30ReportingSurveysSurveyIdQuestionsQuestionIdAnswersGetResponsesContentApplicationJsonSchemaAnswersItems The details of a survey question's answer. - `contact` (30ReportingSurveysSurveyIdQuestionsQuestionIdAnswersGetResponsesContentApplicationJsonSchemaAnswersItemsContact, optional) — Information about the contact. - `id` (string, optional) — The ID of the answer. - `is_new_contact` (boolean, optional) — If this contact was added to the Mailchimp audience via this survey. - `response_id` (string, optional) — The ID of the survey response. - `submitted_at` (datetime, optional) — The date and time when the survey response was submitted in ISO 8601 format. - `value` (string, optional) — The raw text answer. ### 30ReportingSurveysSurveyIdQuestionsQuestionIdAnswersGetResponsesContentApplicationJsonSchemaAnswersItemsContact Information about the contact. - `avatar_url` (string, optional) — URL for the contact's avatar or profile image. - `consents_to_one_to_one_messaging` (boolean, optional) — Indicates whether a contact consents to 1:1 messaging. - `contact_id` (string, optional) — The ID of this contact. - `email` (string, optional) — The contact's email address. - `email_id` (string, optional) — The MD5 hash of the lowercase version of the list member's email address. - `full_name` (string, optional) — The contact's full name. - `phone` (string, optional) — The contact's sms phone number. - `status` (enum, optional) — The contact's current status. - Allowed values: `Subscribed`, `Unsubscribed`, `Non-Subscribed`, `Cleaned`, `Archived` ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "answers": [ { "contact": { "avatar_url": "string", "consents_to_one_to_one_messaging": true, "contact_id": "string", "email": "string", "email_id": "string", "full_name": "string", "phone": "string", "status": "Subscribed" }, "id": "string", "is_new_contact": true, "response_id": "string", "submitted_at": "2024-01-15T09:30:00Z", "value": "string" } ], "total_items": 1 } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id/answers" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id/answers'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id/answers" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id/answers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id/answers") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id/answers', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id/answers"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/questions/question_id/answers")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.